package cn.quant.baa.pay.model.web;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * Created by Administrator on 2021/9/27 0027.
 */
public class WeiXinCallbackRequestData implements Serializable{
    private static final long serialVersionUID = 8252843404761981034L;
    private String id;
    private LocalDate createTime;
    private String eventType;
    private String resourceType;
    private WeiXinCallbackResource resource;
    private String summary;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public LocalDate getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDate createTime) {
        this.createTime = createTime;
    }

    public String getEventType() {
        return eventType;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public WeiXinCallbackResource getResource() {
        return resource;
    }

    public void setResource(WeiXinCallbackResource resource) {
        this.resource = resource;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("WeiXinCallbackRequestData{");
        sb.append("id='").append(id).append('\'');
        sb.append(", createTime=").append(createTime);
        sb.append(", eventType='").append(eventType).append('\'');
        sb.append(", resourceType='").append(resourceType).append('\'');
        sb.append(", resource='").append(resource).append('\'');
        sb.append(", summary='").append(summary).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
